/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.advisorapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 *
 * @author omozegieaziegbe
 */
@RestController
@RequestMapping("/chat")
public class ChatController {

    private final ChatService chatService;

    private final ChatService3 chatService3;

    @Autowired
    public ChatController(ChatService chatService, ChatService3 chatService3) {
        this.chatService = chatService;
        this.chatService3 = chatService3;
    }

    @PostMapping("/addItem")
    public String addItemToChatMemory(@RequestParam String item) {
        return chatService.addItemAndFetchHistory(item);
    }

    @GetMapping("/inquire")
    public String askAI(@RequestParam(value = "question", defaultValue = "What is the capital of France?") String question) {
        return chatService3.initiateChat(question);
    }
}
