/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.advisorapp;

import org.springframework.ai.chat.client.ChatClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @author omozegieaziegbe
 */
@Service
public class ChatService3 {

    private final ChatClient chatClient;

    @Autowired
    public ChatService3(ChatClient.Builder chatClientBuilder, ActivityLoggingAdvisor activityLoggingAdvisor) {
        this.chatClient = chatClientBuilder
                .defaultAdvisors(activityLoggingAdvisor)  // Add the custom logging advisor
                .build();
    }

    public String initiateChat(String userQuery) {
        return this.chatClient.prompt()
                .user(userQuery)
                .call()
                .content();
    }
}